Jump to content

Photo

Can't Add Cyberpunk 2077 Support Extension?

cyberpunk extensions

Best Answer Tannin42 , 19 August 2021 - 02:51 PM

You are likely using reparse points (aka junction points) to have your d:\program files and c:\program files be the same? AppData\Roaming also seems to have been redirected?

This unfortunately confuses the hell out of node.js to where it doesn't load things correctly.

Since this happens in the framework we're using it's not something we can fix on our end, you'll have to use the custom vortex installer and install it to a location that is not in a reparse point.

Go to the full post »


  • Please log in to reply
2 replies to this topic

#1
NopeItsJoe

NopeItsJoe

    Stranger

  • Supporter
  • Pip
  • 2 posts

I've been trying to get cyberpunk modding working after the 1.2 patch came out, and I've been met with some consistient errors, which I don't really know what to do with.

 

when I tried to find cyberpunk in the unmanaged games list I could not find it, so instead I manually installed the Cyberpunk 2077 support extension from ThunderGod97. but when I try to install it I am met with this error:

 

Error: Cannot find module 'winapi-bindings'
Require stack:
- D:\flami\AppData\roaming\Vortex\plugins\game-cyberpunk2077\index.js
- D:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar\node_modules\vortex-run\lib\index.js
- D:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar\renderer.js
- D:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar\index.html
    at Module._resolveFilename (internal/modules/cjs/loader.js:972:15)
    at Function.o._resolveFilename (electron/js2c/renderer_init.js:35:917)
    at Module._load (internal/modules/cjs/loader.js:848:27)
    at Function.f._load (electron/js2c/asar_bundle.js:5:12633)
    at Function._load (D:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar\renderer.js:3381:139)
    at Module.require (internal/modules/cjs/loader.js:1032:19)
    at Module.require (D:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar\renderer.js:3514:200)
    at require (internal/modules/cjs/helpers.js:72:18)
    at Object.<anonymous> (D:\flami\AppData\roaming\Vortex\plugins\game-cyberpunk2077\index.js:3:16)
    at Object.<anonymous> (D:\flami\AppData\roaming\Vortex\plugins\game-cyberpunk2077\index.js:73:3)
    at Module._compile (internal/modules/cjs/loader.js:1152:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1173:10)
    at Module.load (internal/modules/cjs/loader.js:992:32)
    at Module._load (internal/modules/cjs/loader.js:885:14)
    at Function.f._load (electron/js2c/asar_bundle.js:5:12633)
    at Function._load (D:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar\renderer.js:3381:139)
 
I have tried uninstalling and reinstalling the extension and vortex, I have tried using the default install directory, instead of the D:\ drive. I dont really know where I need to go from here as winapi-bindings should be a part of vortex when it is installed.


#2
Tannin42

Tannin42

    Resident poster

  • Staff
  • 2,762 posts
✓  Best Answer

You are likely using reparse points (aka junction points) to have your d:\program files and c:\program files be the same? AppData\Roaming also seems to have been redirected?

This unfortunately confuses the hell out of node.js to where it doesn't load things correctly.

Since this happens in the framework we're using it's not something we can fix on our end, you'll have to use the custom vortex installer and install it to a location that is not in a reparse point.



#3
NopeItsJoe

NopeItsJoe

    Stranger

  • Supporter
  • Pip
  • 2 posts

Unfortunately that makes a lot of sense.

Even when vortex is installed via the custom location installed to a separate drive with no reparse points, it looks like it is still having trouble with the non standard roaming location. Meaning the solution would be for me to not reparse appdata on my next reinstall. But hey, at least that is a relatively easy solution.

 

Apologies about the nonstandard drive configuration.







Also tagged with one or more of these keywords: cyberpunk, extensions

IPB skins by Skinbox
Page loaded in: 1.088 seconds